function OnWarpEnter() 
	SetMarker("cs\\Warp_0068.wp" , 0 , 0) 

	if ETAT_DAY == "D1" then 

	end 
	if ETAT_DAY == "D2" then 

	end 
	if ETAT_DAY == "D3" then 

	end 
	if ETAT_DAY == "D4" then 
		if not FootW69 then
			SetMarker("zoomPied", 4, 0)
		end
		if not FingerW69 then
			SetMarker("zoomMain", 4, 0)
		end
		if not FaceW69 then
			SetMarker("zoomTete", 4, 0)
		end

		if not MONK_COSTUME_TAKEN then
			PutObject("gaa1")
		end
		if not FIRST_ENTER_69_D4 then
			FIRST_ENTER_69_D4 = true
			LookAt(133, 031)
			DrawText("Ma2632","Ma2632.ogg",0) -- Oh non !
			DrawText("Ma2637","Ma2637.ogg",0) -- J'espère qu'il est juste inconscient !
		end

		if DiaryW69 then
			-- cadavre
			StartAnimationPart("gfc1",6,7,-1,false)
		elseif not DiaryW69 and HandW69 then
			StartAnimationPart("gfc1",5,6,-1,false)
			SetMarker("gfc1",4,0)
		else 
--			AnimationSetToStart("gfc1")
			StartAnimationPart("gfc1",0,1,-1,false)
			SetMarker("gfc1",4,0)
		end

		-- coffre
		AnimationSetToStart("gkc1",true)
		SetMarker("gkc1",4,0)
		if HandW69 and FootW69 and FaceW69 then
		DEAD_SCRIB_69_D4 = true
		end
	end 

	if ETAT_DAY == "D5" then 
		if not COFFRET_OPENED_69_D5 then
			-- coffre
			AnimationSetToStart("gkc1",true)
			SetMarker("gkc1",4,0)
		else
			-- coffre
			AnimationSetToEnd("gkc1", false)
			if not MONK_COSTUME_TAKEN then
				SetMarker("ZoomChest",2,0)
			else
				-- coffre
				SetMarker("ZoomChest",4,0)
				--Zoom action
			end
		end
	end 
end

function OnWarpLeave()
end

function OnAnimationFinished(objectName)
	-- coffre
	if objectName=="gkc1" then
		SetMarker("gkc1",-1,0)
		COFFRET_OPENED_69_D5 = true
		AnimationSetToEnd("gkc1",false)
		SetMarker("ZoomChest",2,0)
		--show monk costume
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0068.wp" then 
		if ETAT_DAY == "D4" and DiaryW69 then
			ChangeWarp("3D\\cs\\Warp_0209.wp")
			PlayMusic("Sounds/Musiques/M_Soupcons.ogg")
		elseif ETAT_DAY == "D4" and not DiaryW69 then
			DrawText("Ma0220","Ma0220.ogg",0) -- Pas encore !
		else
			ChangeWarp("3D\\cs\\Warp_0068.wp")
		end
	end

	if objectName=="3D\\ZoomChest" then
		if COFFRET_OPENED_69_D5 then
			if not MONK_COSTUME_TAKEN then
				--SetMarker("ZoomChest",-1,0)
				AddToBag("C_robe_bure")
				MONK_COSTUME_TAKEN = true
				CONSTANCE_ROOM_OPENED = true
				RemoveObject("gaa1")
				SetMarker("ZoomChest",4,0)
			else -- Zoom in
				ShowToolBox("W69_05")
			end
	    end
	end

	if objectName == "3D\\zoomPied" then 
		if not FootW69 then
			ShowToolBox("W69_01")
		end
	end
	if objectName == "3D\\zoomMain" then
		if not HandW69 then
			ShowToolBox("W69_02")
		elseif HandW69 and not DiaryW69 then
			ShowToolBox("W69_03")
		elseif DiaryW69 and not FingerW69 then
			ShowToolBox("W69_04")
		end
	end
	if objectName == "3D\\zoomTete" then 
		if not FaceW69 then
			ShowToolBox("W69_00")
		end
	end

--DAY1
	if ETAT_DAY == "D1" then 
		if objectName == "gfc1" then

		elseif objectName == "gkc1" then

		end
	end

--DAY2 
	if ETAT_DAY == "D2" then 
		if objectName == "gfc1" then

		elseif objectName == "gkc1" then

		end
	end

--DAY3 
	if ETAT_DAY == "D3" then 
		if objectName == "gfc1" then

		elseif objectName == "gkc1" then

		end
	end

--DAY4 
	if ETAT_DAY == "D4" then 
		if objectName == "gfc1" then
			DrawText("Ma2638","Ma2638.ogg",0) -- Pas de doute, il est mort.
		elseif objectName == "gkc1" then
			if Selected("C_clef_coffre") then
				DrawText("Ma3170","Ma3170.ogg",0) -- Il y a peu de chance que je trouve quoi que ce soit d'intéressant dans les affaires d'un scribe. Et dire que pendant un moment je l'ai pris pour l'assassin !
			else
				DrawText("Ma1706","Ma1706.ogg",0) -- C'est fermé à clef.
			end
		end
	end 

--DAY5
	if ETAT_DAY == "D5" then 
		if objectName == "gfc1" then

		elseif objectName == "gkc1" then
			if not COFFRET_OPENED_69_D5 and Selected("C_clef_coffre") then
				StartAnimation("gkc1",1,false)
				PlaySound("Sounds/SFX/E_ArmoireOuverture.ogg",1)
			elseif not COFFRET_OPENED_69_D5 then
				DrawText("Ma1706","Ma1706.ogg",0) -- C'est fermé à clef.
			elseif COFFRET_OPENED_69_D5 and MONK_COSTUME_TAKEN then
				--zoom action
			end
		end
	end 
end
